#ifndef THEME_HPP
#define THEME_HPP

#include "module.hpp"

class Theme : public Module
{
private:
  void print();
  std::vector<std::string> list_of_themes;
  int pos;

  std::vector<std::string> list_themes();
  void print_string_element(const std::string& r, const std::string& position, int y);

  Theme();

public:

  void load();

  std::string cur_theme;

  std::string mainloop();

  // singleton
  static Theme& get_instance();
};
  
#endif
